## org.omg.IIOP
Class ProfileBody_1_1

    java.lang.Object
      |
      +--org.omg.IIOP.ProfileBody_1_1

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ProfileBody_1_1
extends java.lang.Object
implements IDLEntity

Struct definition : ProfileBody_1_1

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`TaggedComponent[]` `components` Struct member components
`java.lang.String` `host` Struct member host
`Version` `iiop_version` Struct member iiop_version
`byte[]` `object_key` Struct member object_key
`short` `port` Struct member port

Constructor Summary
`ProfileBody_1_1()` Default constructor
`ProfileBody_1_1(Version iiop_version, java.lang.String host, short port, byte[] object_key, TaggedComponent[] components)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iiop_version

    public Version iiop_version

  Struct member iiop_version

### host

    public java.lang.String host

  Struct member host

### port

    public short port

  Struct member port

### object_key

    public byte[] object_key

  Struct member object_key

### components

    public TaggedComponent[] components

  Struct member components

Constructor Detail

### ProfileBody_1_1

    public ProfileBody_1_1()

  Default constructor

### ProfileBody_1_1

    public ProfileBody_1_1(Version iiop_version,
                           java.lang.String host,
                           short port,
                           byte[] object_key,
                           TaggedComponent[] components)

  Constructor with fields initialization
  Parameters:
    `iiop_version` - iiop_version struct member
    `host` - host struct member
    `port` - port struct member
    `object_key` - object_key struct member
    `components` - components struct member